Bug 34463 - state_tracker/st_texture.c:370:st_texture_image_copy: Assertion `u_minify(src->width0, srcLevel) == width' failed.
state_tracker/st_texture.c:370:st_texture_image_copy: Assertion `u_minify(src...
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
x86 (IA32) Linux (All)
: medium critical
Assigned To: Brian Paul
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-18 15:02 UTC by Vinson Lee
Modified: 2011-03-26 23:54 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2011-02-18 15:02:04 UTC
mesa: e16e70610c459721f4344dc6e61a8af1c2ad870d (master)

Run piglit fbo-generatemipmap-formats on softpipe or llvmpipe.

$ ./bin/fbo-generatemipmap-formats -auto
Using test set: Core formats
Testing 3
Testing 4
Testing GL_RGB
Testing GL_RGBA
Testing GL_ALPHA
Testing GL_LUMINANCE
Testing GL_LUMINANCE_ALPHA
Testing GL_INTENSITY
Testing GL_ALPHA4
Testing GL_ALPHA8
Testing GL_ALPHA12
Testing GL_ALPHA16
Testing GL_LUMINANCE4
Testing GL_LUMINANCE8
Testing GL_LUMINANCE12
Testing GL_LUMINANCE16
Testing GL_LUMINANCE4_ALPHA4
Testing GL_LUMINANCE8_ALPHA8
Testing GL_LUMINANCE12_ALPHA12
Testing GL_LUMINANCE16_ALPHA16
Testing GL_INTENSITY4
Testing GL_INTENSITY8
Testing GL_INTENSITY12
Testing GL_INTENSITY16
Testing GL_R3_G3_B2
Testing GL_RGB4
Testing GL_RGB5
Testing GL_RGB8
Testing GL_RGB10
Testing GL_RGB12
Testing GL_RGB16
Testing GL_RGBA2
Testing GL_RGBA4
Testing GL_RGB5_A1
Testing GL_RGBA8
Testing GL_RGB10_A2
Testing GL_RGBA12
Testing GL_RGBA16
Testing 3 (NPOT)
state_tracker/st_texture.c:370:st_texture_image_copy: Assertion `u_minify(src->width0, srcLevel) == width' failed.

(gdb) bt
#0  0x004df398 in _debug_assert_fail (expr=0x55de90 "u_minify(src->width0, srcLevel) == width", file=0x55dd20 "state_tracker/st_texture.c", line=370, 
    function=0x55df11 "st_texture_image_copy") at util/u_debug.c:282
#1  0x003614e7 in st_texture_image_copy (pipe=0x9d7df08, dst=0x9e892a8, dstLevel=0, src=0x9f13a50, srcLevel=0, face=0) at state_tracker/st_texture.c:370
#2  0x00468005 in copy_image_data_to_texture (st=0x9e75498, stObj=0x9e88e58, dstLevel=0, stImage=0xa0b1408) at state_tracker/st_cb_texture.c:1649
#3  0x004684e9 in st_finalize_texture (ctx=0x9e34af0, pipe=0x9d7df08, tObj=0x9e88e58) at state_tracker/st_cb_texture.c:1781
#4  0x0035e6e4 in st_generate_mipmap (ctx=0x9e34af0, target=3553, texObj=0x9e88e58) at state_tracker/st_gen_mipmap.c:376
#5  0x002ee755 in _mesa_GenerateMipmapEXT (target=3553) at main/fbobject.c:2270
#6  0x0806a670 in create_tex (internalformat=3, baseformat=0) at piglit/tests/fbo/fbo-generatemipmap-formats.c:166
#7  0x0806b2d7 in test_format (format=0x8091f00, baseformat=0) at piglit/tests/fbo/fbo-generatemipmap-formats.c:363
#8  0x0806b4e8 in piglit_display () at piglit/tests/fbo/fbo-generatemipmap-formats.c:401
#9  0x0806d87f in display () at piglit/tests/util/piglit-framework.c:52
#10 0x00125820 in fghRedrawWindow (window=0x9d7cfe8, enumerator=0xbf8d41b8) at freeglut_main.c:210
#11 fghcbDisplayWindow (window=0x9d7cfe8, enumerator=0xbf8d41b8) at freeglut_main.c:227
#12 0x00129660 in fgEnumWindows (enumCallback=0x125790 <fghcbDisplayWindow>, enumerator=0xbf8d41b8) at freeglut_structure.c:394
#13 0x00125cdb in fghDisplayAll () at freeglut_main.c:249
#14 glutMainLoopEvent () at freeglut_main.c:1450
#15 0x00126605 in glutMainLoop () at freeglut_main.c:1498
#16 0x0806da28 in main (argc=1, argv=0xbf8d4444) at piglit/tests/util/piglit-framework.c:118
(gdb) frame 1
#1  0x003614e7 in st_texture_image_copy (pipe=0x9d7df08, dst=0x9e892a8, dstLevel=0, src=0x9f13a50, srcLevel=0, face=0) at state_tracker/st_texture.c:370
370	   assert(u_minify(src->width0, srcLevel) == width);
(gdb) print src->width0
$1 = 293
(gdb) print srcLevel
$2 = 0
(gdb) print width
$3 = 292
Comment 1 Vinson Lee 2011-02-19 00:20:20 UTC
piglit fbo-generatemipmap-formats crashes on r300g too.
Comment 2 Brian Paul 2011-02-21 14:16:42 UTC
Fixed with commit 7dbafea860dace9bfad29760f8b756122bc9937a
Comment 3 Vinson Lee 2011-03-26 23:54:30 UTC
mesa: 56ef62d9885f805bbfb2243dc860ff425d5b4d3b (master)

Verified fixed.